#!/bin/bash 

# The Bitwarden AppImage auto updates and in doing so changes the Bitwarden
# file name. This script is a launcher interface for Bitwarden that attempts
# to find and launch whatever the most recent version of Bitwarden is

# Link this script to somewhere in your $PATH so that Bitwarden can
# be called from the application launcher

BITWARDEN_BIN=$(find /home/swatson/Downloads/ -name "Bitwarden*")
echo $BITWARDEN_BIN

$BITWARDEN_BIN > /dev/null 2>&1 &
