#!/bin/bash

TERMINAL="/usr/bin/st"

function tmux_sesh_wind() {
    for sesh in $(tmux list-sessions -F "#S"); do
	for win in $(tmux list-windows -t $sesh -F "#W"); do
	    echo "$sesh:$win";
	done;
    done;
}

RET=$(tmux_sesh_wind | wofi --dmenu -p "tmux window:")

$TERMINAL tmux switch-client -t $RET
