#!/bin/bash

# Replace shell aliases with properly configured
# tmux state init

	# tmux_init () {
	# 	$TMUX_PATH new -s services -d
	# 	$TMUX_PATH new -s admin -d
	# 	$TMUX_PATH new -s personal -d
	# 	$TMUX_PATH new -s music -d
	# 	$TMUX_PATH new -s lisp-koans -d
	# 	$TMUX_PATH new -s emacs -d
# }

# Long runningish services that are not
# daemonized
tmux new -s services -d
# Pipewire
tmux new-window -t 'services:1' -n 'pipewire'
# OpenVPN
tmux new-window -t 'services:2' -n 'openvpn'
tmux send-keys -t 'services:openvpn' 'cd /home/swatson/old_home/mnt/disk_tmpfs/Work/aws_vpn/' C-m
tmux send-keys -t 'services:openvpn' 'sudo openvpn --config aws-admin-vpn-config.ovpn'
# Gdrive
tmux new-window -t 'services:3' -n 'gdrive'
tmux new-window -t 'services:4' -n 'upgrades'
tmux send-keys -t 'services:upgrades' 'sudo xbps-install -Syu'

# Work windows
tmux new -s admin -d
tmux rename-window -t 'admin:0' 'python1'
tmux new-window -t 'admin:1' -n 'algo-api'
tmux send-keys -t 'admin:algo-api' 'ssh-aws ubuntu@algo-api'
tmux new-window -t 'admin:2' -n 'cloudv2-test'
tmux new-window -t 'admin:3' -n 'cloudv2-dev'

# Personal
tmux new -s personal -d
tmux rename-window -t 'personal:0' 'foobar'
